Constants (Apache Tomcat 11.0.24 API Documentation)
Description: declaration: package: org.apache.catalina.manager, class: Constants

# Class Constants

java.lang.Object
org.apache.catalina.manager.Constants

public class Constants extends Object
Constants used by the manager web application.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BODY_HEADER_SECTION`
  The HTML body header section template for manager pages.
  `static final String`
  `CHARSET`
  The character set used by the manager application.
  `static final String`
  `HTML_HEADER_SECTION`
  The HTML header section template for manager pages.
  `static final String`
  `HTML_TAIL_SECTION`
  The HTML tail section template for manager pages.
  `static final String`
  `MANAGER_SECTION`
  The HTML manager section template for manager pages.
  `static final String`
  `MESSAGE_SECTION`
  The HTML message section template for manager pages.
  `static final String`
  `Package`
  The fully qualified name of this package.
  `static final String`
  `REL_EXTERNAL`
  The HTML rel attribute value for external links.
  `static final String`
  `SERVER_HEADER_SECTION`
  The HTML server header section template for manager pages.
  `static final String`
  `SERVER_ROW_SECTION`
  The HTML server row section template for manager pages.
  `static final String`
  `XML_DECLARATION`
  The XML declaration used in manager responses.
  `static final String`
  `XML_STYLE`
  The XML stylesheet processing instruction used in manager responses.

- ## Method Summary

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### Package

    public static final String Package
    The fully qualified name of this package.
    See Also:
      - Constant Field Values

  - ### REL_EXTERNAL

    public static final String REL_EXTERNAL
    The HTML rel attribute value for external links.
    See Also:
      - Constant Field Values

  - ### HTML_HEADER_SECTION

    public static final String HTML_HEADER_SECTION
    The HTML header section template for manager pages.

  - ### BODY_HEADER_SECTION

    public static final String BODY_HEADER_SECTION
    The HTML body header section template for manager pages.

  - ### MESSAGE_SECTION

    public static final String MESSAGE_SECTION
    The HTML message section template for manager pages.

  - ### MANAGER_SECTION

    public static final String MANAGER_SECTION
    The HTML manager section template for manager pages.

  - ### SERVER_HEADER_SECTION

    public static final String SERVER_HEADER_SECTION
    The HTML server header section template for manager pages.

  - ### SERVER_ROW_SECTION

    public static final String SERVER_ROW_SECTION
    The HTML server row section template for manager pages.

  - ### HTML_TAIL_SECTION

    public static final String HTML_TAIL_SECTION
    The HTML tail section template for manager pages.

  - ### CHARSET

    public static final String CHARSET
    The character set used by the manager application.
    See Also:
      - Constant Field Values

  - ### XML_DECLARATION

    public static final String XML_DECLARATION
    The XML declaration used in manager responses.
    See Also:
      - Constant Field Values

  - ### XML_STYLE

    public static final String XML_STYLE
    The XML stylesheet processing instruction used in manager responses.
    See Also:
      - Constant Field Values